package edu.chl.hajo.monopoly.core;

import lombok.EqualsAndHashCode;
import lombok.Getter;

/**
 *
 * This is where the player piece is located (streets, railroads, corners, jail,
 * etc..) Base class for spaces
 * @author hajo
 *
 */
@EqualsAndHashCode( of = "name")
public class Space {

    @Getter
    private final String name;

    public Space(String name) {
        this.name = name;
    }  
    @Override
    public String toString() {
        return "Space{" + "name=" + name + '}';
    }
   
}
