package edu.chl.hajo.td;

import edu.chl.hajo.td.core.Monster;
import edu.chl.hajo.td.core.Path;
import java.util.ArrayList;
import java.util.List;
import static org.junit.Assert.assertTrue;
import org.junit.Test;

/**
 *
 * @author hajo
 */
public class TestMonster {

    @Test
    public void testMonsterMoveStraitLinePath() {
        List<Path.Position> pos = new ArrayList<>();
        // Strait line
        for (int x = 0; x < 200; x++) {
            pos.add(new Path.Position(x, 200));
        }
        Monster m = new Monster(new Path(pos), 100);   
        assertTrue( m.getPosition().getX() == 0);
        
        m.move();
        assertTrue( m.getPosition().getX() == 1);

    }
}
