package hajo.chl.jme3demo.core;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;
import static java.lang.System.*;
import java.util.ArrayList;
import java.util.List;

/**

 @author hajo
 */
public class TestModel {

    @Test
    public void testCanon() {
        Canon c = new Canon(1);

        List<CanonBall> balls = new ArrayList<>();
        for (int i = 0; i < 20; i++) {
            CanonBall cb = c.fire();
            if (cb != null) {
                balls.add(cb);
            }
        }
        //out.println(balls.size());
        assertTrue(balls.size() <= 11);
        //out.println(c.getBalance());
        assertTrue(c.getBalance() == 0);
    }

    // ----------- Not used -----------------
    @BeforeClass
    public static void setUpClass() {
    }

    @AfterClass
    public static void tearDownClass() {
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }
}
